Уязвимость BDU:2021-00237

Дата: 02.05.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-00237.

Наименование уязвимости: Уязвимость функции dev_map_read утилиты для трассировки операций ввода-вывода Blktrace, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции dev_map_read (btt/devmap.c) утилиты для трассировки операций ввода-вывода Blktrace связана с выходом операции за допустимые границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система ООО «РусБИТех-Астра» Astra Linux 1.5 «Смоленск» | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. Suse Linux Enterprise Server 12 SP5 | Операционная система Novell Inc. SUSE Linux Enterprise Server for SAP Applications 12 SP5 | Операционная система Debian GNU/Linux 8 | Прикладное ПО информационных систем Blktrace 1.2.0 |

Наименование ОС и тип аппаратной платформы: Astra Linux 15 «Смоленск» | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Debian GNU/Linux 9 | Ubuntu 1804 LTS | OpenSUSE Leap 150 | Suse Linux Enterprise Server 12 SP5 | SUSE Linux Enterprise Server for SAP Applications 12 SP5 | Debian GNU/Linux 8 |
Дата выявления: 02.05.2018.
CVSS 2.0: AV:N/AC:M/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Blktrace:
https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/commit/?id=d61ff409cb4dda31386373d706ea0cfb1aaac5b7

Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=117998111

Для Debian:
https://security-tracker.debian.org/tracker/CVE-2018-10689

Для продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2018-10689/

Для Ubuntu:
https://ubuntu.com/security/CVE-2018-10689

Для продуктов Red Hat:
https://access.redhat.com/security/cve/cve-2018-10689
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-10689.

Тип ошибки CWE: CWE-119, CWE-120
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://nvd.nist.gov/vuln/detail/CVE-2018-10689
https://security-tracker.debian.org/tracker/CVE-2018-10689
https://git.kernel.org/pub/scm/linux/kernel/git/axboe/blktrace.git/commit/?id=d61ff409cb4dda31386373d706ea0cfb1aaac5b7
https://wiki.astralinux.ru/pages/viewpage.action?pageId=117998111
https://security-tracker.debian.org/tracker/CVE-2018-10689
https://www.suse.com/security/cve/CVE-2018-10689/
https://ubuntu.com/security/CVE-2018-10689
https://access.redhat.com/security/cve/cve-2018-10689

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *